Package com.oracle.truffle.api.object

## Class HiddenKey

- java.lang.Object
- - com.oracle.truffle.api.object.HiddenKey

    public final class HiddenKey
    extends java.lang.Object

### Constructor Summary

Constructors
`HiddenKey​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HiddenKey

    public HiddenKey​(java.lang.String name)

### Method Detail

#### getName

    public java.lang.String getName()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`